// defining constants 

const int SensorPin = A1;
const float BaselineTemp = 25.0;

// serial port on and setup runs once

void setup(){
  Serial.begin(9600);
  
  for(int pinNumber = 2; pinNumber<5; pinNumber++){
    pinMode(pinNumber,OUTPUT);
    digitalWrite(pinNumber, LOW);
  }
}

// loop - read sensor input

void loop(){
  int sensorVal = analogRead(SensorPin);

// serial monitor output - temperature
  float voltage = (sensorVal/1024.0) * 5.0;
  float temperature = (voltage - .5) * 100;
  Serial.println(temperature);
  

// no leds on
  if(temperature < BaselineTemp){
    digitalWrite(2, LOW);
    digitalWrite(3, LOW);
    digitalWrite(4, LOW);
  } 

 // 1 led on
  else if(temperature >= BaselineTemp+2 && temperature < BaselineTemp+4){
    digitalWrite(2, HIGH);
    digitalWrite(3, LOW);
    digitalWrite(4, LOW);
  }  

  //2 leds on
  else if(temperature >= BaselineTemp+4 && temperature < BaselineTemp+6){
    digitalWrite(2, HIGH);
    digitalWrite(3, HIGH);
    digitalWrite(4, LOW);
  } 

  //3 leds on
  else if(temperature >= BaselineTemp+6){
    digitalWrite(2, HIGH);
    digitalWrite(3, HIGH);
    digitalWrite(4, HIGH);
  }
  delay(1);
}
